### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata.dav

# Class DAVRemarks

java.lang.Object
com.sas.services.information.metadata.dav.DAVEntity
com.sas.services.information.metadata.dav.DAVFolder
com.sas.services.information.metadata.dav.DAVRemarks

All Implemented Interfaces:
  `AttributesInterface`, `DAVEntityInterface`, `DAVFolderInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class DAVRemarks extends DAVFolder
Represents a set of comments, on a particular topic

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sas.services.information.metadata.dav.DAVEntity

  `_acl, _descAttribute, _fullUrl, _name, _nameAttribute, _objectClass, _properties, _repos, _reposId, _resource, _schemaProperties, aclList, content, hasBeenFetched, LOCAL, UNSET`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DAVRemarks(RepositoryData entity)`
  Creates a new DAVRemarks object from a repositorydata entity
  `DAVRemarks(RepositoryInterface repos, String reposId)`
  Creates a new DAVRemarks object with a repository id `reposId` in the repository `repos`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addComment(CommentInterface comment)`
  Adds a comment to the discussion thread.
  `CommentInterface[]`
  `getComments()`
  Returns the list of comments in the discussion thread.
  `String`
  `getOwner()`
  Gets the discussion thread owner
  `Set`
  `getReferrals()`
  `long`
  `getStarted()`
  Gets the timestamp when the discussion thread was started
  `String`
  `getThreadId()`
  Get the thread identifier for this remark.
  `String`
  `getTopic()`
  Gets the discussion thread topic
  `void`
  `setOwner(String owner)`
  Sets the discussion thread owner
  `void`
  `setReferrals(Set referralSet)`
  `void`
  `setStarted(long started)`
  Sets the date when the discussion thread was started
  `void`
  `setThreadId(String threadId)`
  Set the thread identifier for this remark.
  `void`
  `setTopic(String topic)`
  Sets the discussion thread topic

  ### Methods inherited from class com.sas.services.information.metadata.dav.DAVFolder

  `addEntity, createFolder, createFolder, createItem, createItem, getEntities, getItem, getItems, refresh, refresh, setItems`

  ### Methods inherited from class com.sas.services.information.metadata.dav.DAVEntity

  `addAccessControlEntry, addAttribute, addAttributes, addUpdateMultiple, addUpdateSingle, clearLocalLists, commitUpdates, copy, delete, deleteAttribute, deleteAttributes, fetchEntity, getAccessControlList, getACL, getAttribute, getAttributes, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getObjectClass, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, removeAccessControlEntry, setAccessControls, setACL, setAttribute, setAttributes, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, setRepository, toString, update`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface

  `addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

  ### Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface

  `addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, isUpdatePending, move, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

- ## Constructor Details

  - ### DAVRemarks

    public DAVRemarks(RepositoryInterface repos, String reposId) throws RemoteException
    Creates a new DAVRemarks object with a repository id `reposId` in the repository `repos`
    Throws:
      `RemoteException`

  - ### DAVRemarks

    public DAVRemarks(RepositoryData entity) throws RemoteException
    Creates a new DAVRemarks object from a repositorydata entity
    Throws:
      `RemoteException`

- ## Method Details

  - ### addComment

    public void addComment(CommentInterface comment) throws RemoteException
    Adds a comment to the discussion thread. If the comment has any attachments they are also added to the discussion thread.
    Parameters:
      `comment` - The commment to be added to the discussion thread
    Throws:
      `RemoteException`

  - ### getComments

    public CommentInterface[] getComments() throws RemoteException
    Returns the list of comments in the discussion thread.
    Returns:
      CommentInterface[] The list of comments in this discussion thread
    Throws:
      `RemoteException`

  - ### setOwner

    public void setOwner(String owner)
    Sets the discussion thread owner
    Parameters:
      `owner` - The discussion thread owner

  - ### getOwner

    public String getOwner()
    Gets the discussion thread owner
    Returns:
      String The discussion thread owner

  - ### setTopic

    public void setTopic(String topic)
    Sets the discussion thread topic
    Parameters:
      `topic` - The discussion thread topic

  - ### getTopic

    public String getTopic()
    Gets the discussion thread topic
    Returns:
      String The discussion thread topic

  - ### setStarted

    public void setStarted(long started)
    Sets the date when the discussion thread was started
    Parameters:
      `started` - The timestamp when the discussion thread was started

  - ### getStarted

    public long getStarted()
    Gets the timestamp when the discussion thread was started
    Returns:
      long The started timestamp

  - ### setReferrals

    public void setReferrals(Set referralSet)

  - ### getReferrals

    public Set getReferrals()

  - ### setThreadId

    public void setThreadId(String threadId)
    Set the thread identifier for this remark.
    Parameters:
      `threadId` - A String representing the thread identifier

  - ### getThreadId

    public String getThreadId()
    Get the thread identifier for this remark.
    Returns:
      String The thread identifier for this remark. Return `null` if there is no thread identifier.